/*
 * Copyright 2021-2022 Xilinx, Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Adapted from auto generated bsp linker script
 * Minimal script for a tiny r5 app at the beginning of TCM in lockstep mode
 */

/* Define Memories in the system */

MEMORY
{
   locked_mem : ORIGIN = 0x0, LENGTH = 0x40000
}

/* Specify the default entry point to the program */

ENTRY(_vector_table)

/* Define the sections, and where they are mapped in memory */

SECTIONS
{
.vectors : {
   KEEP (*(.vectors))
} > locked_mem
.fill : {
    FILL(0x0)
    . = ORIGIN(locked_mem) + LENGTH(locked_mem) - 1;
    BYTE(0x0)
} > locked_mem
_end = .;
}
