#! /usr/bin/env bash
#
# Copyright 2021-2022 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Location of Vivado installation
USER_VIVADO_INSTALL=/tools/Xilinx/Vivado/2021.2

# R5 mini-app workaround; if specified it is linked in with the a72 apps
# Comment out or initialize to empty string to omit mini-app
R5_MINI_APP=r5_mini_app

# No NEON/FP workaround. Replaces gcc's built-in memcpy etc as well as nofp/neon
# Comment out or initialize to empty string for default behavior
# A72 must include strict-align - the CPU operates without MMU. Reguires gcc v10
# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=91927
PROC_TUNE_A72="-march=armv8-a+nofp+nosimd -fno-builtin -mstrict-align"
PROC_TUNE_R5="-march=armv7-r+nofp+idiv -fno-builtin"

# Match pattern for console0 (e.g. sbsauart_0) , or none
USER_CONSOLE_0=none
# Choices: "none" (default), "console", "coresight"
USER_TRACE_0=none
# Whether app0 is compiled for debug
USER_DEBUG_0="-O3 -g0"

# Match pattern for console1 (e.g. sbsauart_0) , or none
USER_CONSOLE_1=none
# Choices: "none" (default), "console", "coresight"
USER_TRACE_1=none
# Whether app1 is compiled for debug
USER_DEBUG_1="-O3 -g0"

# This script is being sourced, do not exit
